KDE 4.9 PyKDE API Reference

- KDE's Python API

# LoadSaveFilterCheckPlugin Class Reference

`from PyKDE4.ktexteditor import *`

Inherits: QObject
Namespace: KTextEditor

## Detailed Description

Plugin for load/save filtering FIXME: REMOVE FOR KDE5

## Methods
| __init__ (self, QObject parent)
| postLoadFilter (self, KTextEditor.Document document)
bool | postSaveFilterCheck (self, KTextEditor.Document document, bool saveas)
bool | preSavePostDialogFilterCheck (self, KTextEditor.Document document)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

postLoadFilter | ( | self, |
|  | KTextEditor.Document | document
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

bool postSaveFilterCheck | ( | self, |
|  | KTextEditor.Document | document,
|  | bool | saveas
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

bool preSavePostDialogFilterCheck | ( | self, |
|  | KTextEditor.Document | document
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.